Package net.shibboleth.idp.cas.protocol

# Class TicketValidationRequest

java.lang.Object
net.shibboleth.idp.cas.protocol.ServiceTicketResponse
net.shibboleth.idp.cas.protocol.TicketValidationRequest

public class TicketValidationRequest extends ServiceTicketResponse
Ticket validation request message.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`pgtUrl`
Proxy-granting ticket validation URL.
`private boolean`
`renew`
CAS protocol renew flag.

## Constructor Summary

Constructors
Constructor
Description
`TicketValidationRequest(String service, String ticket)`
Creates a CAS ticket validation request message.

## Method Summary

Modifier and Type
Method
Description
`String`
`getPgtUrl()`
Get the proxy-granting ticket validation URL.
`boolean`
`isRenew()`
Get whether to require fresh subject interaction to succeed.
`void`
`setPgtUrl(String url)`
Set the proxy-granting ticket validation URL.
`void`
`setRenew(boolean force)`
Set whether to require fresh subject interaction to succeed.

### Methods inherited from class net.shibboleth.idp.cas.protocol.ServiceTicketResponse

`getRedirectUrl, getService, getTicket, getTicketParameterName, isSaml, setSaml`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### renew

private boolean renew
CAS protocol renew flag.

### pgtUrl

@Nullable private String pgtUrl
Proxy-granting ticket validation URL.

## Constructor Details

### TicketValidationRequest

public TicketValidationRequest(@Nonnull String service, @Nonnull String ticket)
Creates a CAS ticket validation request message.

Parameters:
  `service` - Service to which ticket was issued.
  `ticket` - Ticket to validate.

## Method Details

### isRenew

public boolean isRenew()
Get whether to require fresh subject interaction to succeed.

Returns:
  whether subject interaction must occur

### setRenew

public void setRenew(boolean force)
Set whether to require fresh subject interaction to succeed.

Parameters:
  `force` - whether subject interaction must occur

### getPgtUrl

@Nullable public String getPgtUrl()
Get the proxy-granting ticket validation URL.

Returns:
  proxy-granting ticket validation URL

### setPgtUrl

public void setPgtUrl(@Nullable String url)
Set the proxy-granting ticket validation URL.

Parameters:
  `url` - proxy-granting ticket validation URL